%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bit/Vector.pm) perl(CPAN.pm) perl(Cache/LRU.pm) perl(Capture/Tiny.pm) perl(Carp.pm) perl(Carp/Clan.pm) perl(Class/Data/Inheritable.pm) perl(Class/Inspector.pm) perl(Class/MOP.pm) perl(Class/MOP/Class.pm) perl(Config.pm) perl(Cwd.pm) perl(DBI.pm) perl(Data/Dump.pm) perl(Data/Dumper.pm) perl(Data/Page.pm) perl(DateTime.pm) perl(DateTime/Duration.pm) perl(DateTime/Format/Builder.pm) perl(DateTime/Format/MySQL.pm) perl(DateTime/Format/Pg.pm) perl(DateTime/Format/SQLite.pm) perl(Digest/MD5.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(FileHandle.pm) perl(Filter/Util/Call.pm) perl(FindBin.pm) perl(Hash/Merge.pm)
BuildRequires: perl(JSON.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(Log/Any.pm) perl(Log/Any/Adapter.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(Module/Find.pm) perl(Module/Pluggable/Object.pm) perl(Moose.pm) perl(Mouse.pm) perl(Net/FTP.pm) perl(Params/Validate.pm) perl(Parse/CPAN/Meta.pm) perl(PerlIO.pm) perl(Pod/Perldoc/ToPod.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Storable.pm) perl(Sub/Exporter.pm) perl(Sub/Uplevel.pm) perl(Test/Deep.pm) perl(Text/Balanced.pm) perl(Text/Diff.pm) perl(Tie/Array.pm) perl(Try/Tiny.pm) perl(URI.pm) perl(YAML.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(overload.pm) perl(threads.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define module_version 0.3013
%define module_name DBIx-ObjectMapper
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3013
Release: alt1
Summary: An implementation of the Data Mapper pattern (object-relational mapper).
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/O/OI/OISHI/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
DBIx::ObjectMapper is a implementation of the Data Mapper pattern. And abstraction layer for database access.

Concepts and interfaces of this module borrowed from SQLAlchemy.
http://www.sqlalchemy.org/


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.3013-alt1
- initial import by package builder

